gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.ToggleButtonAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype ToggleButtonAccessible = ToggleButtonAccessible (ManagedPtr ToggleButtonAccessible)
- class (GObject o, IsDescendantOf ToggleButtonAccessible o) => IsToggleButtonAccessible o
- toToggleButtonAccessible :: (MonadIO m, IsToggleButtonAccessible o) => o -> m ToggleButtonAccessible

# Exported types

newtype ToggleButtonAccessible Source #

Memory-managed wrapper type.

Constructors

ToggleButtonAccessible (ManagedPtr ToggleButtonAccessible) |

#### Instances

Instances details

Eq ToggleButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ToggleButtonAccessible Methods (==) :: ToggleButtonAccessible -> ToggleButtonAccessible -> Bool Source # (/=) :: ToggleButtonAccessible -> ToggleButtonAccessible -> Bool Source #
GObject ToggleButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ToggleButtonAccessible
ManagedPtrNewtype ToggleButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ToggleButtonAccessible Methods toManagedPtr :: ToggleButtonAccessible -> ManagedPtr ToggleButtonAccessible Source #
TypedObject ToggleButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ToggleButtonAccessible Methods glibType :: IO GType Source #
HasParentTypes ToggleButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ToggleButtonAccessible
IsGValue (Maybe ToggleButtonAccessible) Source # | Convert `ToggleButtonAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.ToggleButtonAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ToggleButtonAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ToggleButtonAccessible) Source #
type ParentTypes ToggleButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ToggleButtonAccessible type ParentTypes ToggleButtonAccessible = '[ButtonAccessible, ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Action, Component, Image]

class (GObject o, IsDescendantOf ToggleButtonAccessible o) => IsToggleButtonAccessible o Source #

Type class for types which can be safely cast to `ToggleButtonAccessible`, for instance with `toToggleButtonAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf ToggleButtonAccessible o) => IsToggleButtonAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.ToggleButtonAccessible

toToggleButtonAccessible :: (MonadIO m, IsToggleButtonAccessible o) => o -> m ToggleButtonAccessible Source #

Cast to `ToggleButtonAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, doAction, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getImageDescription, getImageLocale, getImagePosition, getImageSize, getIndexInParent, getKeybinding, getLayer, getLocalizedName, getMdiZorder, getNAccessibleChildren, getNActions, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setImageDescription, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.